// If this code works, it was written by Svetlio Kapralov. If not, I don't know who wrote it.
package net.playerfinder.jsf.components.image;

import java.io.Serializable;

public class CroppedImage implements Serializable {

	private static final long serialVersionUID = -1229491666966334332L;

	private String originalFileName;
	private byte[] bytes;
	private int left;
	private int top;
	private int width;
	private int height;

	public CroppedImage() {
	}

	public CroppedImage(String originalFileName, byte[] bytes, int left,
			int top, int width, int height) {
		this.originalFileName = originalFileName;
		this.bytes = bytes;
		this.left = left;
		this.top = top;
		this.width = width;
		this.height = height;
	}

	public int getLeft() {
		return left;
	}

	public void setLeft(int left) {
		this.left = left;
	}

	public int getTop() {
		return top;
	}

	public void setTop(int top) {
		this.top = top;
	}

	public int getWidth() {
		return width;
	}

	public void setWidth(int width) {
		this.width = width;
	}

	public int getHeight() {
		return height;
	}

	public void setHeight(int height) {
		this.height = height;
	}

	public String getOriginalFileName() {
		return originalFileName;
	}

	public void setOriginalFileName(String originalFilename) {
		this.originalFileName = originalFilename;
	}

	public byte[] getBytes() {
		return bytes;
	}

	public void setBytes(byte[] bytes) {
		this.bytes = bytes;
	}
}
